Jump to content

Need a quicker "move everything on this items layer"


yrnomad

Recommended Posts

I'm looking for a faster way to pick an item, and move everything on that item's layer.

 

I've got a lot of civil plans that I want to move information we don't currently need off to the side of the drawing. (I may want it back in the future so I don't want to use LAYDEL). So the intent is to grab, and move, so I can get through the drawings quickly.

 

Something simpler than quick select, kind of like a combo of LAYISO and MOVE.

 

thanks for the suggestion.

Link to comment
Share on other sites

Basically it's the Utility company rules. Our drawings somehow get integrated in to their GIS system, so I need to clear out anything not used. I had been freezing stuff and then blocking off what remained but sometimes the guy I work for like to have what was there before available to go back to before it gets too far along.

 

So, I take the civil drawing, and isolate the items we will need to show on our subdivision power sheets, then convert the civil layer names and entities to fit in the utilities layer standard.

 

There is a guy here that has been doing this for years, and I think there has to be a faster way to fit brand X drawings into Brand Z's CAD standard.

Link to comment
Share on other sites

You can simply select items and move with a lisp, need a bit more info like where to move to etc.

 

; Move 2 crude example
(defun c:M2 ( / ss)
(setq obj (vlax-ename->vla-object (car (entsel "pick object to get layer to move")))) ; you would do pick object here to get layer name
(setq layname (vla-get-layer obj))  ; get the layer name
(setq ss (ssget "X" (list (cons 8 layname)))) ; make a selection set
(command "move" ss "" (list 0 0 0) (list 20000 0 0)) ; change this to suit or do a getint for a distance.
)

Edited by BIGAL
Link to comment
Share on other sites

sounds like what I'm looking for, I copied your text off to a txt file and renamed it MoveLayer.lsp, loaded it, but I'm getting an unknown command.

 

 

Command: APPLOAD

MoveLayer.lsp successfully loaded.

MoveLayer.lsp successfully loaded.

 

Command:

Command:

Command:

Command: M2 move

Select objects:

Command: M2

Unknown command "M2". Press F1 for help.

Link to comment
Share on other sites

Saving something that you may need later is better done to a separate file, especially if you work in a collaborative environment. Sooner or later putting stuff off to the side "just in case" gets out of hand and you end up with a bunch of unnecessary stuff in the file. So much so, that you can't tell what is valid and what is old.

Link to comment
Share on other sites

For the most part I agree with you. This process seems to be a special case, and I'm just trying to streamline his cleaning process.

 

 

His steps at this point have to clean up this file, then moving things over to the side he thinks he won't need. Save, then SaveAs to a new file and delete the "garbage" and use that new file as his base. So he is using the first file as an in-process cleaning backup.

Link to comment
Share on other sites

Thanks BigAl

I just got back to this pile of Civils and tried it out. That will be great for quick and dirty work!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...